> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bank Detail



## OpenAPI

````yaml Wallet put /misc/{id}
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /misc/{id}:
    put:
      tags:
        - Misc
      summary: Update Bank Detail
      parameters:
        - name: tenantId
          in: header
          description: Tenant Id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMiscReq'
        required: true
      responses:
        default:
          description: Default response
      security:
        - default: []
components:
  schemas:
    UpdateMiscReq:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/BankType'
        data:
          $ref: '#/components/schemas/BankTransfer'
        ownerId:
          type: string
        updatedBy:
          type: string
    BankType:
      type: string
      enum:
        - wallet_owner_platform
        - wallet_owner_bank
        - wallet_owner_blockchain
        - swift_bank
        - sepa_bank
        - exchange
        - blockchain
    BankTransfer:
      type: object
      properties:
        bankName:
          type: string
        holderName:
          type: string
        accountNumber:
          type: string
        iban:
          type: string
        bic:
          type: string
        email:
          type: string
        mobileNumber:
          type: string
        currency:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````